//---------------------------------------------------------------------------
#ifndef Moa_NetH
#define Moa_NetH
//---------------------------------------------------------------------------
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
namespace Moa_net {
//---------------------------------------------------------------------------
class ENetError : public Exception
{
public:
	__fastcall ENetError(const AnsiString& AMessage) : Exception(AMessage) {}
};
//---------------------------------------------------------------------------
class TUrlCoder
{
private:
	static const bool SafeCharTable[];
	static const char* HexChars;
	static const int HexCharTable[];
protected:
public:
	__fastcall TUrlCoder();
	virtual __fastcall ~TUrlCoder();
	virtual AnsiString __fastcall Encode(const AnsiString& AString);
	virtual AnsiString __fastcall Decode(const AnsiString& AString);
};
//---------------------------------------------------------------------------
} // Endnamespace Moa_net
using namespace Moa_net;
//---------------------------------------------------------------------------
#endif

