//---------------------------------------------------------------------------
#ifndef Oren_NumbersDialogH
#define Oren_NumbersDialogH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "Oren_NameEdit.h"
//---------------------------------------------------------------------------
class TOrenNumbersDialog : public TForm
{
__published:
	TButton* Button91;
	TButton* Button92;
	TEdit* Edit11;
	TEdit* Edit12;
	TEdit* Edit13;
	TEdit* Edit14;
	TEdit* Edit15;
	TEdit* Edit16;
	TLabel* Label11;
	TLabel* Label12;
	TLabel* Label13;
	TLabel* Label14;
	TLabel* Label15;
	TLabel* Label16;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall FormShow(TObject* ASender);
	void __fastcall Edit13Change(TObject* ASender);
	void __fastcall Edit14Change(TObject* ASender);
	void __fastcall Edit15Change(TObject* ASender);
	void __fastcall Edit16Change(TObject* ASender);
public:
	typedef TNumberSrcLinesSpecs TValues;
private:
	TValues FValues;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall UpdateAccess();
	bool __fastcall ValidateInput();
	TValues __fastcall GetInputs();
	void __fastcall SetTInputs(const TValues& AInputs);
	__property TValues Inputs = {read=GetInputs, write=SetTInputs};
protected:
public:
	virtual __fastcall TOrenNumbersDialog(TComponent* AOwner);
	virtual __fastcall ~TOrenNumbersDialog();
	bool __fastcall Execute();
	__property TValues Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TOrenNumbersDialog* OrenNumbersDialog;
//---------------------------------------------------------------------------
#endif

