//---------------------------------------------------------------------------
#ifndef Oren_RenameHandlerH
#define Oren_RenameHandlerH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include "Oren_Handler.h"
//---------------------------------------------------------------------------
namespace Oren_renamehandler {
//---------------------------------------------------------------------------
class TRenameHandler : public THandler
{
private:
	bool FBusy;
	bool __fastcall CanHandle(TCommand* ACommand);
protected:
	__property bool Busy = {read=FBusy, write=FBusy};
public:
	__fastcall TRenameHandler(TListViewModel* AControl, TInvoker* AInvoker, TObjectList* AItems);
	virtual __fastcall ~TRenameHandler();
	void __fastcall Perform();
	void __fastcall Undo(bool AConfirm);
	bool __fastcall CanUndo();
	void __fastcall Redo(bool AConfirm);
	bool __fastcall CanRedo();
	bool __fastcall IsBusy();
	void __fastcall ShowResults();
	virtual void __fastcall LoadSettings(TMemIniFile* AFile, TIniSection* ASection);
	virtual void __fastcall SaveSettings(TMemIniFile* AFile, TIniSection* ASection);
};
//---------------------------------------------------------------------------
} // End namespace Oren_renamehandler
using namespace Oren_renamehandler;
//---------------------------------------------------------------------------
#endif

