//---------------------------------------------------------------------------
#ifndef Moa_EnumeratorH
#define Moa_EnumeratorH
//---------------------------------------------------------------------------
// Version: 1.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
namespace Moa_enumerator {
//---------------------------------------------------------------------------
class EEnumeratorError : public Exception
{
public:
	__fastcall EEnumeratorError(const AnsiString& AMessage) : Exception(AMessage) {}
};
//---------------------------------------------------------------------------
template<typename T>
class TEnumerator : public TObject
{
private:
protected:
	virtual T __fastcall GetValue() = 0;
public:
	__fastcall TEnumerator() : TObject() {}
	virtual __fastcall ~TEnumerator() {}
	virtual bool __fastcall GoToNext() = 0;
	virtual void __fastcall Reset() = 0;
	__property T Value = {read=GetValue};
};
//---------------------------------------------------------------------------
} // End namespace Moa_enumerator
using namespace Moa_enumerator;
//---------------------------------------------------------------------------
#endif

