//---------------------------------------------------------------------------
#ifndef Oren_FreeEditDialogH
#define Oren_FreeEditDialogH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
//---------------------------------------------------------------------------
namespace Oren_freeeditdialog {
//---------------------------------------------------------------------------
struct TOrenFreeEditDialogValues
{
	AnsiString Text;
	int Count;
};
//---------------------------------------------------------------------------
} // End namespace Oren_freeeditdialog
using namespace Oren_freeeditdialog;
//---------------------------------------------------------------------------
class TOrenFreeEditDialog : public TForm
{
__published:
	TButton* Button91;
	TButton* Button92;
	TMemo* Memo11;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall FormShow(TObject* ASender);
	void __fastcall Memo11Change(TObject* ASender);
public:
	typedef TOrenFreeEditDialogValues TValues;
private:
	TValues FValues;
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall UpdateAccess();
	bool __fastcall ValidateInputs();
	TValues __fastcall GetInputs();
	void __fastcall SetInputs(const TValues& AInputs);
	__property TValues Inputs = {read=GetInputs, write=SetInputs};
protected:
public:
	virtual __fastcall TOrenFreeEditDialog(TComponent* AOwner);
	virtual __fastcall ~TOrenFreeEditDialog();
	bool __fastcall Execute();
	__property TValues Values = {read=FValues, write=FValues};
};
//---------------------------------------------------------------------------
extern PACKAGE TOrenFreeEditDialog* OrenFreeEditDialog;
//---------------------------------------------------------------------------
#endif

