//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "Oren_PartDialog.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TOrenPartDialog* OrenPartDialog = NULL;
//---------------------------------------------------------------------------
void __fastcall TOrenPartDialog::FormCloseQuery(TObject* ASender, bool& ACanClose)
{
	if(ModalResult == mrOk) {
		Values = Inputs;
	}
}
//---------------------------------------------------------------------------
void __fastcall TOrenPartDialog::FormShow(TObject* ASender)
{
	ActiveControl = NULL;
	SelectFirst();
}
//---------------------------------------------------------------------------
void __fastcall TOrenPartDialog::ComboBox11Click(TObject *Sender)
{
	UpdateAccess();
}
//---------------------------------------------------------------------------
void __fastcall TOrenPartDialog::Edit11Change(TObject *Sender)
{
	UpdateAccess();
}
//---------------------------------------------------------------------------
void __fastcall TOrenPartDialog::Initialize()
{
	try {
		TValues LValues;
		LValues.Part = npBaseName;
		Values = LValues;
	}
	catch(...) {
		Uninitialize();
		throw;
	}
}
//---------------------------------------------------------------------------
void __fastcall TOrenPartDialog::Uninitialize()
{
	// Do nothing
}
//---------------------------------------------------------------------------
void __fastcall TOrenPartDialog::UpdateAccess()
{
	Button91->Enabled = ValidateInputs();
}
//---------------------------------------------------------------------------
bool __fastcall TOrenPartDialog::ValidateInputs()
{
	if(ComboBox11->ItemIndex < 0) {
		return false;
	}
	return true;
}
//---------------------------------------------------------------------------
TOrenPartDialog::TValues __fastcall TOrenPartDialog::GetInputs()
{
	TValues LInputs;
	switch(ComboBox11->ItemIndex) {
	case 0: LInputs.Part = npName; break;
	case 1: LInputs.Part = npBaseName; break;
	case 2: LInputs.Part = npExtension; break;
	default: throw EInvalidOperation("The part is not specified.");
	}
	return LInputs;
}
//---------------------------------------------------------------------------
void __fastcall TOrenPartDialog::SetInputs(const TValues& AInputs)
{
	switch(AInputs.Part) {
	case npName: ComboBox11->ItemIndex = 0; break;
	case npBaseName: ComboBox11->ItemIndex = 1; break;
	case npExtension: ComboBox11->ItemIndex = 2; break;
	default: ComboBox11->ItemIndex = -1; break;
	}
	UpdateAccess();
}
//---------------------------------------------------------------------------
__fastcall TOrenPartDialog::TOrenPartDialog(TComponent* AOwner) :
	TForm(AOwner),
	FValues()
{
	Initialize();
}
//---------------------------------------------------------------------------
__fastcall TOrenPartDialog::~TOrenPartDialog()
{
	Uninitialize();
}
//---------------------------------------------------------------------------
bool __fastcall TOrenPartDialog::Execute()
{
	Inputs = Values;
	return ShowModal() == mrOk;
}
//---------------------------------------------------------------------------

