//----------------------------------------------------------------------------
#ifndef Oren_UrlEncodingDialogH
#define Oren_UrlEncodingDialogH
//---------------------------------------------------------------------------
// Version: 2.0.0
// Author: Moochos
//----------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include "Oren_NameEdit.h"
//---------------------------------------------------------------------------
namespace Oren_urlcodedialog {
//---------------------------------------------------------------------------
struct TOrenUrlCodeDialogValues
{
	TNamePart Part;
	TCharEncoding Encoding;
};
//---------------------------------------------------------------------------
} // End namespace Oren_urlcodedialog
using namespace Oren_urlcodedialog;
//---------------------------------------------------------------------------
class TOrenUrlEncodingDialog : public TForm
{
__published:
	TButton* Button91;
	TButton* Button92;
	TComboBox* ComboBox11;
	TComboBox* ComboBox12;
	TLabel* Label11;
	TLabel* Label12;
	void __fastcall FormCloseQuery(TObject* ASender, bool& ACanClose);
	void __fastcall FormShow(TObject* ASender);
public:
	typedef TOrenUrlCodeDialogValues TValues;
private:
	TValues FValues;
protected:
	void __fastcall Initialize();
	void __fastcall Uninitialize();
	void __fastcall UpdateAccess();
	bool __fastcall ValidateInputs();
	TValues __fastcall GetInputs();
	void __fastcall SetInputs(const TValues& AInputs);
	__property TValues Inputs = {read=GetInputs, write=SetInputs};
public:
	virtual __fastcall TOrenUrlEncodingDialog(TComponent* AOwner);
	virtual __fastcall ~TOrenUrlEncodingDialog();
	bool __fastcall Execute();
	__property TValues Values = {read=FValues, write=FValues};
};
//----------------------------------------------------------------------------
extern PACKAGE TOrenUrlEncodingDialog* OrenUrlEncodingDialog;
//----------------------------------------------------------------------------
#endif

